'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FormValidatedField = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _semanticUiReact = require('semantic-ui-react');

var _FieldMessage = require('./FieldMessage');

var _FieldMessage2 = _interopRequireDefault(_FieldMessage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var FormValidatedField = exports.FormValidatedField = function (_Component) {
  _inherits(FormValidatedField, _Component);

  function FormValidatedField() {
    _classCallCheck(this, FormValidatedField);

    return _possibleConstructorReturn(this, (FormValidatedField.__proto__ || Object.getPrototypeOf(FormValidatedField)).apply(this, arguments));
  }

  _createClass(FormValidatedField, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          children = _props.children,
          message = _props.message,
          otherProps = _objectWithoutProperties(_props, ['children', 'message']);

      return _react2.default.createElement(
        _semanticUiReact.Form.Field,
        _extends({ error: !!message }, otherProps),
        children,
        _react2.default.createElement(_FieldMessage2.default, { message: message })
      );
    }
  }]);

  return FormValidatedField;
}(_react.Component);

FormValidatedField.propTypes = {
  children: _propTypes2.default.node,
  message: _propTypes2.default.oneOfType([_propTypes2.default.string, _propTypes2.default.arrayOf(_propTypes2.default.string)])
};


_semanticUiReact.Form.ValidatedField = FormValidatedField;

exports.default = FormValidatedField;